#---List of externals----------------------------------------------

# force rebuild of cuda to pick up small fixes
#set(CUDA_REVISION 1)
#set(HEPMC_VERSION 3)

include(heptools-106a)

# Remove libxml2 from LCG_system_packages for el9
if(${LCG_OS}${LCG_OSVERS} MATCHES centos9|el9|centos8)
  list(REMOVE_ITEM LCG_system_packages libxml2)
endif()

LCG_external_package(ROOT 6.32.08 CUDA=OFF author=6.32.08)

LCG_external_package(veccore           0.8.2                          )
LCG_external_package(VecGeom           1.2.9                          )
LCG_external_package(clhep             2.4.7.1                        )
#LCG_external_package(pybind11          2.11.1                         )
#LCG_external_package(hdf5              1.14.3                         )
LCG_external_package(VTK               9.3.1           Qt=6           )
LCG_external_package(XercesC           3.3.0           author=3.3.0   )

if(NOT ${LCG_OS}${LCG_OSVERS} STREQUAL centos7)
   list(REMOVE_ITEM base_top_packages dcap)
endif()

LCG_top_packages(ROOT VecGeom Python Qt6 tbb XercesC clhep expat ninja
                 ccache CMake lcgenv hdf5 valgrind pybind11 VTK)
