 please keep alphabetic order and the structure (tabbing).
# it makes it much easier to edit/read this file!


# Application Area Projects
LCG_AA_project(ROOT  6.14.06)
LCG_AA_project(HepMC 2.06.09)
LCG_AA_project(Geant4 10.05)

# Externals
LCG_external_package(lcgenv            1.3.6                                    )
LCG_external_package(hepmc3            3.0.0                                    )
LCG_external_package(benchmark         1.4.0                                    )
LCG_external_package(blas              0.2.20.openblas                          )
LCG_external_package(Boost             1.69.0                                   )
LCG_external_package(cairo             1.15.8                                   )
LCG_external_package(ccache            3.3.4                                    )
LCG_external_package(clhep             2.4.1.3                                  )
LCG_external_package(cmaketools        1.6                                      )
LCG_external_package(CMake             3.8.2                                    )
if(${LCG_OS}${LCG_OSVERS} STREQUAL slc6)
  LCG_external_package(curl              7.19.7                                 )
else()
  LCG_external_package(curl              7.48.0                                   )
endif()
LCG_external_package(cython            0.28.4                                   )
LCG_external_package(doxygen           1.8.11                                   )
LCG_external_package(expat             2.2.5                                    )
LCG_external_package(fftw              3.3.4                     fftw3          )
LCG_external_package(fontconfig        2.12.6                                   )
LCG_external_package(freetype          2.6.3                                    )
LCG_external_package(gettext           0.19.8.1                                 )
LCG_external_package(glib              2.52.2                                   )
LCG_external_package(gtest             master20160308                           )
LCG_external_package(gperf             3.1                                      )
LCG_external_package(graphviz          2.28.0                                   )
LCG_external_package(GSL               2.5                                      )
LCG_external_package(harfbuzz          1.6.3                                    )
LCG_external_package(libffi            3.2.1                                    )
LCG_external_package(libtool           2.4.2                                    )
LCG_external_package(libxml2           2.9.7                                    )
if( NOT ${LCG_OS} MATCHES ubuntu|mac )
LCG_external_package(libxkbcommon      0.7.1                                    )
endif()
LCG_external_package(motif             2.3.8                                    )
LCG_external_package(mysql             5.7.20                                   )
LCG_external_package(ninja             1.7.2.gcc0ea.kitware.dyndep              )
LCG_external_package(numpy             1.14.2                                   )
if(${LCG_OS} MATCHES mac)
    LCG_external_package(openssl           1.1.0h                                 )
endif()
LCG_external_package(oracle            11.2.0.3.0                               )
if(NOT ${LCG_OS} MATCHES mac)
  LCG_external_package(pango             1.40.13                                  )
endif()
LCG_external_package(pcre              8.38                                     )
LCG_external_package(pixman            0.34.0                                   )
LCG_external_package(pkg_config        0.28                                     )
LCG_external_package(png               1.6.17                                   )
LCG_external_package(Python            2.7.15                                   )
LCG_external_package(PythonFWK         2.7.15                                   )
#LCG_external_package(Qt5               5.9.2                    qt5             )
#LCG_external_package(R                 3.2.5                                    )
LCG_external_package(setuptools        36.0.1                                   )
LCG_external_package(sqlite            3210000                                  )
LCG_external_package(tbb               2018_U1                                  )
LCG_external_package(umesimd           0.8.1                                    )
LCG_external_package(veccore           0.4.2                                    )
LCG_external_package(vecmath           HEAD   GIT=https://github.com/root-project/vecmath.git )
LCG_external_package(VecGeom           v1.1.0                                   )
LCG_external_package(Vc                1.3.3                                    )
LCG_external_package(vdt               0.4.2                                    )
LCG_external_package(xapian            1.2.21                                   )
LCG_external_package(XercesC           3.1.3        author=3.1.3                )
LCG_external_package(xrootd            4.8.4                                    )
LCG_external_package(zeromq            4.2.5                                    )
LCG_external_package(zlib              1.2.11                                   )
if(${LCG_OS} STREQUAL slc OR ${LCG_OS} STREQUAL centos)
  if (NOT ${LCG_ARCH} STREQUAL i686)
   LCG_external_package(CASTOR          2.1.13-6               castor            )
   LCG_external_package(dcap            2.47.7-1               Grid/dcap         )
   LCG_external_package(gfal            1.13.0-0               Grid/gfal         )
   LCG_external_package(srm_ifce        1.13.0-0               Grid/srm-ifce     )
  endif()
endif()
#---Additional External packages------(Generators)-----------------
set(MCGENPATH  MCGenerators)
LCG_external_package(lhapdf            6.2.0          ${MCGENPATH}/lhapdf       )
LCG_external_package(pythia6           429.2          ${MCGENPATH}/pythia6    author=6.4.28 hepevt=10000  )
LCG_external_package(pythia8           230            ${MCGENPATH}/pythia8 )
